> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New Tax Setting

> Create a new tax rule to an approved country. You can set this up as a fixed flat fee or a percentage-based charge.



## OpenAPI

````yaml openapi.json POST /tax-configurations
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /tax-configurations:
    post:
      summary: Create a New Tax Setting
      description: >-
        Adds a new tax rule to an approved country. You can set this up as a
        fixed flat fee or a percentage-based charge.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taxName
                - taxType
                - rate
                - currency
                - regionId
              properties:
                taxName:
                  type: string
                  example: Stamp duty
                taxType:
                  type: string
                  enum:
                    - flat
                    - percentage
                  example: flat
                rate:
                  type: number
                  example: 100
                currency:
                  type: string
                  example: NGN
                regionId:
                  type: integer
                  example: 1
                capAmount:
                  type: number
                  example: 2000
                thresholdAmount:
                  type: number
                  example: 0
      responses:
        '201':
          description: Tax setting created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxConfiguration'
components:
  schemas:
    TaxConfiguration:
      type: object
      properties:
        id:
          type: integer
          example: 12
        taxName:
          type: string
          example: VAT
        taxType:
          type: string
          enum:
            - flat
            - percentage
          example: percentage
        rate:
          type: number
          format: float
          example: 7.5
        currency:
          type: string
          example: NGN
        capAmount:
          type: number
          format: float
          example: 2000
        thresholdAmount:
          type: number
          format: float
          example: 0
        regionId:
          type: integer
          example: 1
        regionName:
          type: string
          example: Nigeria
        merchantName:
          type: string
          example: DEE LLC
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        template:
          type: boolean
          example: false
        templateId:
          type: integer
          example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````